Rates
Calculate shipping rates. Returns estimated prices from available carriers based on the given order details.
Calculate shipping rates
Returns estimated shipping prices from available carriers based on the given package details.
This endpoint requires authorization. You must also include the X-User header — this is your Shipink user account ID.
AuthorizationBearer <token>
Authenticate using the access_token obtained from POST /token.
Format: Authorization: Bearer {access_token}
In: header
payment_type?array<string>
packages
recipient
warehouse_idstring
Format
uuidis_return?boolean
Default
falseResponse Body
application/json
curl -X POST "https://api.shipink.io/rates" \ -H "Content-Type: application/json" \ -d '{ "payment_type": [ "Sender" ], "packages": [ { "dimension_unit": "cm", "height": 10, "length": 10, "weight": 10, "weight_unit": "kg", "width": 1 } ], "recipient": [ { "city": "Serdivan", "country_code": "TR", "state": "Sakarya", "state_code": "TR-54", "zip": "54100" } ], "warehouse_id": "96bfcda0-444f-4750-a673-4ba96bd882d9", "is_return": false }'{
"data": [
{
"carrier_service_id": "sendeo_standart",
"carrier_id": "sendeo",
"carrier_name": "Sendeo",
"service_name": "Standard",
"price": 29.9,
"currency": "TRY",
"estimated_delivery": "1-2 days"
},
{
"carrier_service_id": "yurtici_standart",
"carrier_id": "yurtici",
"carrier_name": "Yurtiçi Kargo",
"service_name": "Standard",
"price": 34.5,
"currency": "TRY",
"estimated_delivery": "1-3 days"
}
]
}How is this guide?